GHSA-rwh9-8xx8-4wfm

Suggest an improvement
Source
https://github.com/advisories/GHSA-rwh9-8xx8-4wfm
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/09/GHSA-rwh9-8xx8-4wfm/GHSA-rwh9-8xx8-4wfm.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-rwh9-8xx8-4wfm
Aliases
Published
2021-09-30T20:50:21Z
Modified
2023-11-08T04:05:18.754601Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
Cross-site Scripting in OpenCRX
Details

In OpenCRX, versions v4.0.0 through v5.1.0 are vulnerable to reflected Cross-site Scripting (XSS), due to unsanitized parameters in the password reset functionality. This allows execution of external javascript files on any user of the openCRX instance.

References

Affected packages

Maven / org.opencrx:opencrx-core

Package

Name
org.opencrx:opencrx-core
View open source insights on deps.dev
Purl
pkg:maven/org.opencrx/opencrx-core

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.0.0
Fixed
5.2.0

Affected versions

4.*

4.3-alpha-1
4.3-alpha-2
4.3-alpha-3
4.3-alpha-4
4.3-alpha-5
4.3-alpha-6
4.3-alpha-7
4.3-alpha-8
4.3-alpha-9
4.3-alpha-10
4.3-alpha-11
4.3.0

5.*

5.0.0
5.0.1
5.1.0

Maven / org.opencrx:opencrx-core-models

Package

Name
org.opencrx:opencrx-core-models
View open source insights on deps.dev
Purl
pkg:maven/org.opencrx/opencrx-core-models

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.0.0
Fixed
5.2.0

Affected versions

4.*

4.3-alpha-9
4.3-alpha-10
4.3-alpha-11
4.3.0

5.*

5.0.0
5.0.1
5.1.0

Maven / org.opencrx:opencrx-core-config

Package

Name
org.opencrx:opencrx-core-config
View open source insights on deps.dev
Purl
pkg:maven/org.opencrx/opencrx-core-config

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.0.0
Fixed
5.2.0

Affected versions

4.*

4.3.0

5.*

5.0.0
5.0.1
5.1.0

Maven / org.opencrx:opencrx-client

Package

Name
org.opencrx:opencrx-client
View open source insights on deps.dev
Purl
pkg:maven/org.opencrx/opencrx-client

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.0.0
Fixed
5.2.0

Affected versions

4.*

4.3-alpha-1
4.3-alpha-2
4.3-alpha-3
4.3-alpha-4
4.3-alpha-5
4.3-alpha-6
4.3-alpha-7
4.3-alpha-8
4.3-alpha-9
4.3-alpha-10
4.3-alpha-11
4.3.0

5.*

5.0.0
5.0.1
5.1.0

Maven / org.opencrx:opencrx-gradle

Package

Name
org.opencrx:opencrx-gradle
View open source insights on deps.dev
Purl
pkg:maven/org.opencrx/opencrx-gradle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.0.0
Fixed
5.2.0

Affected versions

4.*

4.3-alpha-1
4.3-alpha-2
4.3-alpha-3
4.3-alpha-4
4.3-alpha-5
4.3-alpha-6
4.3-alpha-7
4.3-alpha-8
4.3-alpha-9
4.3-alpha-10
4.3-alpha-11
4.3.0

5.*

5.0.0
5.0.1
5.1.0